## org.eclipse.jet.core.parser
Interface ITemplateResolverHelperFactory

    public interface ITemplateResolverHelperFactory

Protocol for a factory that creates `ITemplateResolverHelper` instances. A helper factory may be optionally passed to a `DefaultTemplateResolver` instance during creation to allow for resolution template base URIs in ways other than using `URL.openConnection()`. An example is mapping a base URI to the eclipse workspace and using the workspace APIs instead.

Method Summary
`ITemplateResolverHelper` `getTemplateResolverHelper(java.net.URI baseLocation)` Return a template resolver helper for the base location.

Method Detail

### getTemplateResolverHelper

    ITemplateResolverHelper getTemplateResolverHelper(java.net.URI baseLocation)

  Return a template resolver helper for the base location. If no appropriate helper can be returned, return `null`.

  Parameters:
    `baseLocation` - a template base location
  Returns:
    a `ITemplateResolverHelper` instance or `null`

Copyright 2006 IBM Corporation and others. All Rights Reserved.